import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Level here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Level extends World
{
    int spawntimer = 0;
    int blockcd = 0;
    int tricd = 0;
    int globalcd = 0;
    
    /**
     * Constructor for objects of class Level.
     * 
     */
    public Level()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(1000, 500, 1); 

        prepare();
    }

    /**
     * Prepare the world for the start of the program. That is: create the initial
     * objects and add them to the world.
     */
    private void prepare()
    {
        for (int numx=0;numx<50;numx++)
        {
        addObject(new Platform(), numx*20, 480);
        }
        addObject(new Player(), 100, 400);
        addObject(new Score(), 500, 25);
    }
    
    public void act()
    {
       spawntimer = spawntimer + 1;
       if (spawntimer > 100)
       {
       SpawnMobs();
       }
       
       if (blockcd > 0)
       {
          blockcd = blockcd - 1;    
       }
       
       if (tricd > 0)
       {
          tricd = tricd - 1; 
       }
       
       if (globalcd > 0)
       {
         globalcd = globalcd - 1;    
       }
    }
    
    public void SpawnMobs()
    {
       if (Greenfoot.getRandomNumber(100) < 2)
       {
         if (Greenfoot.getRandomNumber(100) < 50)
         {
           if ((blockcd == 0) && globalcd == 0){  
             addObject(new Triangle(), 1000, 440);  
             tricd = 100;
             globalcd = 40;
            }
         } else {
           if ((tricd == 0) && globalcd == 0){
            addObject(new Block(), 1000, 195);    
            blockcd = 120;
            globalcd = 40;
           }
         }
       }
    }
}
